> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revoengine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update field.

> 
    ROLES: SCHEMA_WRITE,SCHEMA_ADMIN
    USER: true
    SERVICE ACCOUNT: true
    



## OpenAPI

````yaml put /api/v1/schema/{schemaId}/fields/{metaFieldId}
openapi: 3.0.0
info:
  title: RevoEngine Platform API
  description: >-
    Official documentation of RevoEngine Platform API<br>Build:
    67df453bb5b0f9b2894535729c66632b73a015a6
  version: Beta - 0.1.0
  contact:
    name: Support
    url: https://help.revong.com
    email: support@revong.com
  termsOfService: https://docs.revong.com/tos
servers:
  - url: https://api.revong.com
    description: RevoEngine Platform API - Production
  - url: https://api.test.revong.com
    description: RevoEngine Platform API - Test
security: []
tags: []
externalDocs:
  description: Documentation
  url: https://docs.revong.com
paths:
  /api/v1/schema/{schemaId}/fields/{metaFieldId}:
    put:
      tags:
        - Schema
      summary: Update field.
      description: |2-

            ROLES: SCHEMA_WRITE,SCHEMA_ADMIN
            USER: true
            SERVICE ACCOUNT: true
            
      operationId: MetaSchemaController_updateField
      parameters:
        - name: schemaId
          required: true
          in: path
          schema:
            type: string
        - name: metaFieldId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateMetaFieldDto'
      responses:
        '201':
          description: OK.
        '400':
          description: Bad input of the data.
        '403':
          description: Forbidden.
        '404':
          description: Not found.
      security:
        - bearer: []
components:
  schemas:
    UpdateMetaFieldDto:
      type: object
      properties:
        name:
          type: string
          description: Name.
        category:
          type: string
          description: Category.
        desc:
          type: string
          description: Description.
        fieldType:
          type: string
          description: >-
            You need to specify field type
            [Text,Integer,Numeric,Quantity,DateTime,Boolean,Single,Multi,URL,Phone,Mail,Groups,Users,Created
            Time,Created By,Last Update Time,Last Update
            By,Resources,Key,ResourcesItems,Percent,Money,Version].
          enum:
            - Text
            - Integer
            - Numeric
            - Quantity
            - DateTime
            - Boolean
            - Single
            - Multi
            - URL
            - Phone
            - Mail
            - Groups
            - Users
            - Created Time
            - Created By
            - Last Update Time
            - Last Update By
            - Resources
            - Key
            - ResourcesItems
            - Percent
            - Money
            - Version
        lazy:
          type: boolean
          description: >-
            Specify if lazy loading is enabled (e.g. list, dropdown options and
            more).
        lazyId:
          type: string
          description: lazyId.
        lazyType:
          type: string
          description: Description.
        prefix:
          type: string
          description: >-
            Prefix of value, for example of Money you can specify currency e.g.
            $ 123,40
        suffix:
          type: string
          description: >-
            Suffix of value, for example of Money you can specify currency e.g.
            123,40 PLN
        rowGroup:
          type: boolean
          description: Select if row group is enabled.
        editable:
          type: boolean
          description: Select if should be editable (e.g. row change).
        required:
          type: boolean
          description: You need to specific if field will be required to fill.
        hide:
          type: boolean
          description: Select if should be hidden by default.
        filter:
          type: boolean
          description: Select if should be filtered.
        sortable:
          type: boolean
          description: Select if should be sortable.
        order:
          type: number
          description: You can specify order of an field.
        restricted:
          type: boolean
          description: Provide if access should be restricted.
        active:
          type: boolean
          description: Provide if should be active/visible to users.
        groups:
          description: >-
            Provide which groups should have access to it, once restricted is
            true.
          type: array
          items:
            type: string
        users:
          description: >-
            Provide which users should have access to it, once restricted is
            true.
          type: array
          items:
            type: string
        pinned:
          type: string
          description: Mark if should be pinned (left or right).
        pivot:
          type: boolean
          description: Specify if Pivot is enabled by default.
        fontColor:
          type: string
          description: Global font color of the field value.
        backgroundColor:
          type: string
          description: Global background color of the field.
        options:
          description: Provide value options (1-300).
          type: array
          items:
            $ref: '#/components/schemas/CreateMetaOptionDto'
        version:
          type: number
          description: You must provide current version.
      required:
        - version
    CreateMetaOptionDto:
      type: object
      properties:
        name:
          type: string
          description: You can specify name of the selection.
        value:
          type: string
          description: You need to specify value of selected item.
        order:
          type: number
          description: You can specify order of the value.
      required:
        - name
        - value
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token with Platform JWT token or API Key.
      type: http

````